  OrbitApp.registration "Authorization", type: 'ModuleApp' do
    module_label 'authorization.authorization'
    base_url File.expand_path File.dirname(__FILE__) 
    
    # version "0.1"
    # organization "Rulingcom"
    # author "RD dep"
    # intro "I am intro"
    # update_info 'some update_info'

    
    side_bar do
      head_label_i18n 'module_name.authorization', icon_class: "icons-lock-open"
      available_for [:admin, :manager]
      active_for_controllers ({public: ['admin/authorizations']})

      head_link_path "admin_authorizations_path"
      
      context_link 'all',
        link_path: "admin_authorizations_path",
        priority: 1,
        active_for_action: {authorizations: :index},
        available_for: [:admin, :manager]

      # context_link 'module_authorization',
      #   link_path: "admin_module_app_manager_auth_proc_path(ModuleApp.first(conditions: {title: 'Authorization'}))",
      #   priority: 2,
      #   active_for_app_auth: 'tags',
      #   available_for: [:admin]
    end
  end
